import * as React from 'react';
import './index.scss';
interface PopoverContentProps {
    top: number;
    left: number;
    width: number;
    isVisible: boolean;
    content: React.ReactNode | string;
}
interface PopoverContentState {
    contentClass: string;
    isInContent: boolean;
}
declare type Position = 'top' | 'bottom';
declare class PopoverContent extends React.Component<PopoverContentProps, PopoverContentState> {
    private container;
    constructor(props: PopoverContentProps);
    private contentRef;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<PopoverContentProps>, prevState: Readonly<PopoverContentState>): void;
    componentWillUnmount(): void;
    rePosition(): void;
    setClass: (classes: string) => void;
    setIsInContent: (isInContent: boolean) => void;
    positionContent(position: Position): void;
    open: () => void;
    close: () => void;
    saveContentRef: (node: HTMLDivElement) => void;
    render(): React.ReactPortal;
}
export default PopoverContent;
